Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.reasoning.impl
Class PriorityExecutorSynapseFactory<S,A>

    java.lang.Object
      com.hammurapi.flow.runtime.impl.ExecutorSynapseFactory<Integer,S,A>
          com.hammurapi.reasoning.impl.PriorityExecutorSynapseFactory<S,A>

Type Parameters:
  `S` - Flow state type
  `A` - Argument type

All Implemented Interfaces:
  SynapseFactory<Integer,S,A>

    public class PriorityExecutorSynapseFactory<S,A>

extends ExecutorSynapseFactory<Integer,S,A>

Author:
  Pavel Vlasov

Nested Class Summary

Nested classes/interfaces inherited from interface com.hammurapi.flow.runtime.SynapseFactory
`SynapseFactory.SynapseConfig`

Field Summary

Fields inherited from interface com.hammurapi.flow.runtime.SynapseFactory
`DEFAULT_SYNAPSE_CONFIG`

Constructor Summary
`PriorityExecutorSynapseFactory()`

Method Summary
`Destroyable` | `connect(Invoker<S,A> invoker, Invocable<S,A> invocable, SynapseFactory.SynapseConfig config, Integer connectKey, ProcessingPathElement processingPathElement, TaskCounter taskCounter)`
`protected FutureTask<List<Future<?>>>` | `createTask(Callable<List<Future<?>>> callable, TaskCounter taskCounter, Integer connectKey, S flowState, A[] args)`
`ExceptionHandler` | `getExceptionHandler()`
`void` | `setExceptionHandler(ExceptionHandler exceptionHandler)`

Methods inherited from class com.hammurapi.flow.runtime.impl.ExecutorSynapseFactory
`getExecutor, getMaxPath, getMaxReentrance, getPropertySetFactory, getScheduler, setExecutor, setMaxPath, setMaxReentrance, setPropertySetFactory, setScheduler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PriorityExecutorSynapseFactory

    public PriorityExecutorSynapseFactory()

Method Detail

### connect

    public Destroyable connect(Invoker<S,A> invoker,
                               Invocable<S,A> invocable,
                               SynapseFactory.SynapseConfig config,
                               Integer connectKey,
                               ProcessingPathElement processingPathElement,
                               TaskCounter taskCounter)
                        throws ConfigurationException

  Specified by:
    `connect` in interface `SynapseFactory<Integer,S,A>`
  Overrides:
    `connect` in class `ExecutorSynapseFactory<Integer,S,A>`
  Throws:
    `ConfigurationException`

### createTask

    protected FutureTask<List<Future<?>>> createTask(Callable<List<Future<?>>> callable,
                                                     TaskCounter taskCounter,
                                                     Integer connectKey,
                                                     S flowState,
                                                     A[] args)
                                              throws Exception

  Overrides:
    `createTask` in class `ExecutorSynapseFactory<Integer,S,A>`
  Throws:
    `Exception`

### setExceptionHandler

    public void setExceptionHandler(ExceptionHandler exceptionHandler)

### getExceptionHandler

    public ExceptionHandler getExceptionHandler()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD